#!/bin/sh
echo "*********** Welcome to the IBM Time Zone Update Utility for Java (JTZU) Version 1.0.6p ***********"
chmod -R 777 1.3.1
chmod -R 777 1.4.2
chmod -R 777 1.5.0

Exit(){

   echo "End of Java Time Zone Updater Tool."

#  Get back to the JTZU Home directory
   cd $JTZU_HOME
#   exit
}


# JTZU_HOME to the current directory
JTZU_HOME=`pwd`
echo "JTZU Home: $JTZU_HOME"

# check JTZU.jar file
if [ ! -f "$JTZU_HOME/JTZU.jar" ]
then
    echo "The Java Time Zone Updater tool (JTZU.jar) doesn't exist."
    Exit
else
    echo "Set the variables using the script $JTZU_HOME/runjtzuenv.sh"
    . $JTZU_HOME/runjtzuenv.sh
fi


# check temporary directory
if [ ! -d "$JTZU_HOME/Temp" ]
then
   mkdir "$JTZU_HOME/Temp"
fi

# check TimeZoneInfo directory
if [ -d "$JTZU_HOME/TimeZoneInfo" ]
then
   # change the directory to TimeZoneInfo from the current directory
   cd $JTZU_HOME/TimeZoneInfo

   # Run the JTZU tool
   echo "Launching the Java Time Zone Updater Tool."
   "$JAVA_HOME/bin/java" -cp "$JTZU_HOME/JTZU.jar" -Dnogui=$NOGUI -Ddiscoveronly=$DISCOVERONLY JTZUMain
else
   echo "The TimeZone Information doesn't exist."
   Exit
fi
